---
title: Uses
layout: default
permalink: /uses.html
description: 'Software, tools and services that I use regularly.'
image: /assets/img/pages/uses.jpg
---
<h2 class="page-header">{{ title }}</h2>

Software and services that I use for work and my own enjoyment.

{% image 'https://coryd.dev/assets/img/pages/uses.jpg', 'My desk', 'image-banner', 'eager' %}

<h3>Computer setup</h3>

- Midnight MacBook Air (2022 - M2)
- 27" Dell Monitor
- Apple Magic Keyboard with Touch ID + number pad
- Apple Magic Trackpad
- Homepod Mini for audio

<h3>Desk and chair</h3>

- My desk is a custom made corner desk I bought on Etsy years ago. It's sturdy, has tons of storage and finally arrived with a chip on the surface to add some character after the first one got lost by the freight company on the journey from Michigan to Los Angeles. I probably _wouldn't_ repeat the experience, but I do love the desk.
- [Herman Miller Aeron chair](https://www.hermanmiller.com/products/seating/office-chairs/aeron-chairs/): it's pretty comfortable and makes swiveling around my corner desk easy.

<h3>macOS + iOS</h3>

- [Bear](https://bear.app): native, fast and flexible — it's a breeze to use across Apple's ecosystem.
- [Plexamp](https://www.plex.tv/plexamp/): Plex's flexible and delightful music player.
- [Ivory](https://tapbots.com/ivory/): the best, most polished Mastodon client for macOS and iOS.
- [Parcel](https://parcelapp.net): the most flexible and reliable package tracker for Apple's ecosystem.
- [Flighty](https://flightyapp.com): I don't travel a ton but Flighty makes doing so a fair bit less stressful.

<h3>iOS</h3>

- [status.log](https://apps.apple.com/us/app/status-log/id6444921793): a fantastic client for status.lol that provides an outstanding native experience for the service.
- [Working Copy](https://workingcopy.app): an incredible, fully-featured git client.
- [Secure Shellfish](https://secureshellfish.app): the *best* ssh client for iOS, complete with Codeapaces support and Files.app integration.
- [Runestone](https://runestone.app): a superb, lightweight text editor for iOS that works beautifully with Working Copy and Secure Shellfish via Files.app.
- [FontCase](https://apps.apple.com/us/app/fontcase-manage-your-type/id1205074470): for managing/installing fonts.

<h3>macOS</h3>

- [Rectangle](https://rectangleapp.com): to quickly move around/organize/snap application windows. Using a Mac without it now feels like it's broken.
- [Alfred](https://alfredapp.com): a flexible, extensible and reliable Spotlight replacement.
- [Keyboard Maestro](https://www.keyboardmaestro.com): an endlessly flexible app that I underutilize for quick macros and keyboard shortcuts in a number of different apps.
- [AirBuddy](https://v2.airbuddy.app): finer-grained control over AirPods and other wireless devices.
- [Meta](https://www.nightbirdsevolve.com/meta): the _best_ utility for tagging and organizing music files on macOS.
- [Permute](https://software.charliemonroe.net/permute): a useful utility for quickly converting files to different formats.
- [SoundSource](https://rogueamoeba.com/soundsource): a handy utility for better, more granular control on macOS.
- [Sleeve](https://replay.software/sleeve): a lightweight music controller (that also supports scrobbling).

<h3>Dev tools</h3>

- [Sublime Text](https://www.sublimetext.com): super snappy and as reliable as ever for text editing and web development.
- [Catppuccin](https://github.com/catppuccin): nearly as ubiquitous as Dracula but lighter and more playful, I've started using this theme wherever I'm looking at/reading/writing code.
- [Mono Lisa](https://monolisa.dev): a relatively new find, I've been enjoying how pleasant and readable this font is (and have even gone so far as to install it on iOS via [FontCase](https://apps.apple.com/us/app/fontcase-manage-your-type/id1205074470)).

<h3>Services</h3>

- [HEY](https://hey.com): it's the email service that works best for me and I quite enjoy their calendar.
- <a onclick="clicky?.log('/uses','NextDNS referral', 'click')" href="https://nextdns.io/?from=m56mt3z6">NextDNS</a>: a privacy-focused, set it and forget it DNS service. I use their security features on my home network and a profile with strict ad-blocking rules on all of my devices.
- <a onclick="clicky?.log('/uses','DNSimple referral', 'click')" href="https://dnsimple.com/r/3a7cbb9e15df8f">DNSimple</a>: a robust, user-friendly DNS provider and registrar. I moved my domains here after my old provider was acquired.
- <a onclick="clicky?.log('/uses','Bunny.net referral', 'click')" href="https://bunny.net?ref=revw3mehej">Bunny.net</a>: a powerful and affordable CDN. I use it to serve assets on my personal site (most notable my now page — raw assets are fetched by Eleventy and then optimized to webp).
- [Netlify](https://netlify.com): I use their hosting, forms and webhooks. It's a reliable and feature-rich platform.
- <a onclick="clicky?.log('/uses', 'Clicky referral', 'click')" href="https://clicky.com/101449513">Clicky</a>: not the *prettiest* analytics, but very feature rich.
- <a onclick="clicky?.log('/uses','Feedpress referral', 'click')" href="https://feedpress.com/?affid=34370">Feedpress</a>: they've been around for a while now and don't change much (nor do they need to), but look no further for reliable, helpful feed analytics.
- [Readwise Reader](https://readwise.io/read): an impressive RSS reader that handles all the functionality you'd expect from a read it later app beautifully. It's as powerful as it is flexible.
- [forwardemail.net](https://forwardemail.net): a simple and reliable service for forwarding and routing emails from a few of the domains I own.
- [Last.fm](https://last.fm): as it turns out, the best music recommendations still come from dedicated fans.
- [Trakt](https://trakt.tv): my preferred TV and movie tracking service — it has a strong community (and isn't owned by a private equity firm).
- [The Storygraph](https://thestorygraph.com): an excellent, focused and community driven book tracking app. All it needs is RSS/Atom feeds and/or an API.
- [Slack](http://slack.com): I have a family Slack set up to avoid group text messages and am in a few other community Slacks.
- [Discord](http://discord.com): I don't _like_ Discord but, for better or worse, it's where some communities I frequent are.
- [Backblaze](https://backblaze.com): It backs up my MacBook Air and attached storage drive and I don't have to think about it.
- <a onclick="clicky?.log('/uses','Proton referral', 'click')" href="https://pr.tn/ref/X775YX40Z50G">Proton</a>: a reliable, trustworthy VPN with all of the features you'd expect from such a service.

Check out [uses.tech](https://uses.tech) for more lists like this one.
