---
date: '2014-10-20'
title: 'Streaming Music Has Left Me Adrift'
description: "The New York Times has published an interesting piece on streaming music and the transition from analogue listening, CDs and other physical media. What I find most interesting is the author, Dan Brooks', point about the effort involved in collecting music as versus now simply being able to search streaming services for available releases."
tags: ['music']
---

[The New York Times has published an interesting piece on streaming music and the transition from analogue listening, CDs and other physical media.](http://www.nytimes.com/2014/10/19/magazine/streaming-music-has-left-me-adrift.html) What I find most interesting is the author, Dan Brooks', point about the effort involved in collecting music as versus now simply being able to search streaming services for available releases.<!-- excerpt -->

> When getting into a band became as easy as typing its name into a search box, particular musical tastes lost their function as signifiers of commitment. What you listened to ceased to be a measure of how much you cared and became a mere list of what you liked.

I used to be (and suppose I still am — to some extent) a fan of heavy metal. Almost all the bands I listened to released records through small labels or independently with small print runs for each release being the norm. At the time, half the fun was not only finding new bands but actually _finding_ their releases, so you could even listen to them. No band is all that great if everyone can listen to them and all that — exclusivity is king and all that (there was a sense of ownership or being in the know that came along with finding a new band and being able to refer fans of similar music to them).

Streaming services have eroded a lot of the excitement inherent in the old process of discovering new music. Now you can follow playlists or immediately stream just about anything anyone recommends to you (there are some notable exceptions — one of my favorite bands, Canadian punk act [NoMeansNo](http://www.nomeanswhatever.com), only has the greatest hits compilation distributed digitally). As silly as it is, I get less excited about finding new bands now and I tend to over-listen to releases I'm excited about, burn out on them and move on. As fans, we're less invested in what we're listening to because we didn't make the effort to discover it and the financial investment in a physical release or digital download to really attach us to it. Sure, we _are_ paying for music inasmuch as paying a [Spotify](http://spotify.com) or Beats is paying for access to music ... but we're not directly supporting artists by buying those releases, by seeing the artwork, by having to go through the tea ceremony of pulling out a vinyl record and putting it on a turntable.

We have more access to music now than we've ever had, but we're much less invested in it. Maybe streaming proponents are right and streaming services will raise the money spent on music consumption in the aggregate, but I can't help but think we're losing something in the process. We've gained so much in the way of convenience and lost a lot with respect to the experience.

> My record collection is no longer a lifestyle, a biography, a status. The identities that I and a generation of fellow aesthetes spent our lives fashioning are suddenly obsolete. They turned out to be mere patterns of consumption, no more resilient than the patterns of production that provoked them.

Streaming has made music distribution far easier for artists and, really, I'm not advocating against streaming or somehow going back to any one physical medium (although I do enjoy collecting vinyl). I just feel as though streaming has stripped something special out of discovering and exploring new music. I hope, sincerely, that that experience is replaced by something else (perhaps music fans will go to more shows — I try to) or maybe streaming services will evolve in a way that produces a unique experience all its own. I'm not disappointed that we're moving past music in its traditional physical form, but I do have nostalgia for the years I spent ordering odd CDs from European metal distributors and anxiously awaiting their arrival in the mail.
