---
date: '2024-02-26'
title: 'Give me a web feed or an API for everything'
description: "If I'm using your service, if I'm paying for your service, I really need it to have an API or a web feed."
tags: ['tech', 'development']
---
If I'm using your service, if I'm paying for your service, I really need it to have an API or a web feed.<!-- excerpt -->

I want the data I entrust your service with to be accessible on open and transparent terms. I might want to back it up and archive it regularly, I may want to display it elsewhere or I may simply want to subscribe to updates.

If you have a development team of sufficient size, this should be a [table stakes](https://en.wikipedia.org/wiki/Table_stakes) feature. If you offer a web feed[^1] and remove it, I'm going to assume that such a move is hostile and start looking around for other signs that a moat is forming or walls are going up.

Open data exchange, portability and interconnectedness are at the core of a free, fair and open internet. The internet is the platform and the medium and we should be maintaining open, standardized points of connection.

I'll use your service or your platform, but respect me enough to give me access to the data that I provide and the data that makes it valuable to me.

[^1]: RSS, Atom or JSON for our purposes here.