---
date: '2024-03-15T14:00-08:00'
title: 'Look for longevity'
description: "Whenever I'm looking at a service, a product or a tool I like to look for longevity or evaluate the potential for it. It's easy to get caught up in the hype around something new but, so often, we fail to evaluate whether it can sustain itself or stick around over the longer term."
tags: ['tech']
---
Whenever I'm looking at a service, a product or a tool I like to look for longevity or evaluate the potential for it. It's easy to get caught up in the hype around something new but, so often, we fail to evaluate whether it can sustain itself or stick around over the longer term.<!-- excerpt -->

Perhaps we'll see less of this with the end of the recent [ZIRP](https://en.m.wikipedia.org/wiki/Zero_interest-rate_policy) period but I'm ever more wary of VC-backed companies that introduce themselves to the market as free. To me this means they may have a novel idea, but no strategy to monetize it. If they don't plan for that up front, when the time to turn to it comes it all too often ends in leveraging acquired user data, ads, a sale or a closure.

Everyone has a list of products they've seen fail and disappear or get acquired and disappear. I want a less-ambitious, lower-scale, bootstrapped company with a plan. I love solo founders with low costs and a fair subscription price. I love companies like [Fastmail](https://fastmail.com) with a laser focus on a core product and a proven track record.

I've used [1Password](https://1password.com) since it was an iOS app. It's scaled judiciously and, over all that time, I've never once lost data. I can trust that and I can trust them. [Todoist](https://todoist.com) remains focused on its core product, charges a fair price and continues to function reliably and improve iteration after iteration. [Plausible](https://plausible.io) is user-funded and, again, stable and focused on regularly improving their core product.

I want to pay  fair price for a service that I can *trust* to be aligned with my interests and a demonstrated plan to remain in business. I don't want a hyper, "free" product with financial hooks and pressures it can't survive. I want boring, I want steady, I want carefully considered improvements and I want longevity.