---
date: '2024-03-10T15:00-08:00'
title: 'Of course AI is extractive, everything is lately'
description: "It's easy to pick on AI, because, well, it's costing a whole lot and providing, at best, dubious benefits. One of the easiest criticisms to lob at it is that it's extractive — whether you're pointing at public knowledge, creative work or resources and I think that's all quite fair. But it's not unique to AI and it's not particularly unique to the tech industry."
tags: ['tech', 'AI']
---
It's easy to pick on AI, because, well, it's costing a whole lot and providing, at best, dubious benefits. One of the easiest criticisms to lob at it is that it's extractive — whether you're pointing at public knowledge, creative work or resources and I think that's all quite fair. But it's not unique to AI and it's not particularly unique to the tech industry.<!-- excerpt -->

We seem to, hopefully, be able to place crypto in the rearview mirror[^1]. It was similarly extractive of energy and funneled money from well-meaning personal investors and users to owners, investors and advocates that were already rich.

Social media offered the promise of connection and the ability to bridge distances to keep in touch with everyone you've ever met[^2]. This was all offered for “free” up front and, you guessed it, has become increasingly extractive over time. This segment of the industry came for your privacy as they fed your data to black-boxed algorithms, your attention that they abused to show you an ever-increasing number of ads and the social graphs they could use to hold you hostage until they strip mine, well, your mind (I guess).

It feels trite to criticize social media on a basis similar to that applied to TV back in the day but it's fair to say what we're dealing with here is, while considerably newer, far worse.

I don't think we've really seen much on offer that's pitches as an innovation and truly lives up to the process, at least not recently. Ride-hailing services? Those flouted regulations, hooked users on cheap prices, drove down wages and made employment more precarious. Now prices are up and wages for drivers are down. Where did that value go? (Hint, to the folks that arrived to offer a “new” way to mediate the transaction with a platform opaque to everyone outside of them).

We have streaming platforms that are actively rolling back up into something analogous to cable, complete with shrinking catalogs. I follow one team in one sport and simply watching them play requires navigating a byzantine hellscape created by competing broadcast agreements. We have music streaming services that pay musicians pennies for their work.[^3]

It's easy to point broadly at different causes: investment in businesses that are fundamentally unsound, ongoing concentration and consolidation, a compulsion to demonstrate the possibility of unending growth which is, frankly, impossible.

All of this leaves me wanting simpler businesses with simpler motives — I'll pay, you provide a product or service commensurate with the value. No opaque policies, no concerns about data. I'd love for you to be profitable and sustainable, without being obsessed with scale. I'd love you to build products for the customers, not the speculators, that have invested in you.[^4]

I want tools that solve demonstrated problems, not speculative products that externalize problems.[^5] I'm not sure I'll be getting that. Instead, we'll likely accelerate towards a future pushed by the same folks that built, well, all of this. I expect all of this acceleration will work out about as well as all that altruism did.

[^1]: It still pains me that the Lakers' arena is now named after [Crypto.com](https://www.web3isgoinggreat.com). It will until it changes
[^2]: This is somewhat sarcastic — is keeping up with everyone from high school objectively beneficial? I have my doubts.
[^3]: It's  convenient though! Don't worry about it.
[^4]: Apple's headset is technically impressive, but I don't understand what, if any, problems it solves.
[^5]: There's more to consumer harm than prices. Robert Bork was both wrong and terrible.