---
date: '2024-02-09'
title: 'Renting your music means accepting that it will disappear'
description: "When I was using Apple Music I had a smart playlist that would surface music that was no longer available on the service and having to do that sums up one of the many problems with music streaming services. It's not really your collection — you're renting it and your collection only exists on that service. If it disappears, your collection disappears."
tags: ['music', 'tech', 'Apple', 'Spotify']
---
When I was using Apple Music I had a smart playlist that would surface music that was no longer available on the service and having to do that sums up one of the many problems with music streaming services. It's not really your collection — you're renting it and your collection only exists on that service. If it disappears, your collection disappears.<!-- excerpt -->

I have a similar fear about albums I've purchased on Bandcamp disappearing after the company was sold (yet again). I've developed the habit of downloading my purchases there as 320kbps mp3s and FLAC files for archiving. That archive lives on a hard drive velcroed to the back of my monitor and gets mirrored to a remote backup. I worry about that drive failing, but I'll have the backup.

I still have remnants of my old CD collection, but I did sell quite a few CDs to Amoeba in Hollywood when I needed the money. I regretted it for a time, but I had digital copies and, in hindsight, don't think I'd want to store them all now. The only device I have to play them now is an old Blu-ray player sitting in our entertainment center.

I've [streamed my own music](/posts/2023/i-dont-want-streaming-music/) and that was mostly fine — you keep your library, upload it and access it. It wasn't quite as reliable as I liked and still leaves you a step removed from your collection (there aren't many viable music lockers either).

I'm [listening to my music locally now](/posts/2023/locally-stored-music-and-storage-as-a-meaningful-constraint/) and that's required evaluating what I should have in a structured library to actively listen to rather than the archive on my drive.

I don't have to worry about a streaming service going down, a license agreement lapsing, metadata shifting as a service updates it's catalogue (how many entries in your library have been replaced by some unnecessary remaster?). There's a degree of maintenance, but what I listen to isn't constrained by a service I rent my collection from and hope doesn't go away.

I'll freely admit that I have listening habits that don't align with the way streaming services (Spotify in particular) present music. I've *never* become accustomed to playlists and will, instead, put on full albums in a queue. I've only ever browsed playlists of new releases as a means to find new albums I may have missed (to be listened to in full). I keep a calendar of upcoming albums and, again, archive them and listen to them. If I'm dissatisfied with a release, I remove it from my library and keep it in my archive.

Maybe listening via playlists that are designed to fit a mood lets you move with a shifting catalogue, the playlist remains updated as releases fall out of the broader catalogue and that rot in what you're renting goes unnoticed. I find myself, instead, looking for albums that fit a mood or putting new releases on repeat to commit the nuances of an album to memory. If I'm reading or working I drift towards extreme metal where the lyrics are unintelligible and don't distract. If I'm cooking or doing something that requires less focus, intelligible lyrics return and I'll settle into Tom Waits' earlier work or something newer and acoustic.

I don't change what I listen to all that much and it's rare that a new artist lands in my collection. I'm not as interested in a new band that sounds like an old one when I can go back and listen to the band that originated that sound. Maybe I'm just old (that's fine too!).

Streaming is, unarguably, convenient — but, it means you no longer have a collection you control. It means that what you can listen to is subject to the financial concerns of the streaming platform and it means that artists get paid less and less as streaming rates change. I don't have a compelling solution and, perhaps, one isn't needed given how widely adopted and accepted streaming is. I know I've lost interest in the model and I'm concerned for music (and media broadly) as it becomes commodified and availability remains a moving target.