---
date: '2024-03-27T12:16-08:00'
title: 'Thoughts on permanence'
description: "I think a lot about permanence — both as a broader concept and how it applies to myself, my life and my work on a more personal level. It's a comforting concept when you're seeking stability, but it's never truly attainable. It's aspirational, but unachievable — nothing is permanent, nothing is perfect."
tags: ['history', 'tech', 'music', 'tattoos']
---
I think a lot about permanence — both as a broader concept and how it applies to myself, my life and my work on a more personal level. It's a comforting concept when you're seeking stability, but it's never truly attainable. It's aspirational, but unachievable — nothing is permanent, nothing is perfect.<!-- excerpt -->

I don't care about having some sort of grand legacy. I've never had the ego or the interest in chasing something like that. But, as someone with anxiety and who is often nervous about change, I tend to embrace things that feel steady and grounding. [I'll lean on routines](https://coryd.dev/posts/2024/everything-is-a-checklist/) — they're not permanent, but pursuing them is grounding.

I'll chase permanence and settle for stability.

In my work, the oldest project I have online is ~10 years old. It's unmaintained and clearly falling apart.[^1] The internet itself moves, links rot, standards stay steady, but implementation drifts. This blog isn't permanent. I have posts dating to 2013, but I'm confident some are missing. I love the Internet Archive for its work and its mission, but know the task of storing, well, everything is daunting and will never be perfectly achievable.

[Tattoos are permanent, inasmuch as I am.](https://coryd.dev/posts/2024/on-getting-tattooed/) They'll age with me, but they'll remain present.

Music drops off of streaming services, or the albums you're used to are replaced by *[YYYY] (Definitive remaster in 4k)* with the original treated as though it never existed. I archive my music collection to a drive, back it up and version it to B2 and Hetzner, but I've lost music over the years.

I have a framed document belonging to an ancestor who was a member of the Society of the Cincinnati, signed by George Washington[^2]. His signature isn't terribly visible anymore, but it's there. It's not permanent, but it's endured for a while.

I remain interested in history for its insights and attempt to preserve so much of the past, but that will never be perfect either.

Things wear out, people age, memories fade and time marches on and here I am hoping something will last. Permanence remains out of reach, certainty too — but I can aim to remain steady. <strong class="highlight-text">Perhaps the only thing that's truly permanent is our enduring interest in the idea.</strong>

[^1]: I won't link to it — that was the worst job I've ever had.
[^2]: There's a medal that accompanies it with another family member. There's a civil war musket with another family member — I'm told it's confederate, but was picked up off a dead soldier by an ancestor fighting for the union. I don't know that to be true but I hope it is.