---
date: '2024-01-09'
title: 'Your site, your home, your web'
description: 'A brief, perhaps unoriginal, plea to have fun sharing and building on the web.'
tags:
  - 'development'
  - 'tech'
---
A lot has been said about the recent fracturing of the social media landscape and there's little that still needs to be said but, for all that's bad about social media and it's increasing unsteadiness, it's presented an opportunity for folks that are invested in the internet which is — well — just about everyone to look for new outlets for expression.<!-- excerpt -->

The most interesting outlet, to me, has been a resurgent interest in personal websites, blogs and digital gardens. We lost platforms for expression and connection that were convenient, but which we never owned.

What we have, is an opportunity to rethink how we present ourselves online, how we connect and at what pace we choose to do so. We can still write, we can still post, we can still share and we can still talk to one another.

Call it [the indie web](https://indieweb.org/), [the small web](https://ar.al/2020/08/07/what-is-the-small-web/) or [the slow web](https://www.jackcheng.com/the-slow-web/). Do or don't label it — buy a domain, stand up a site, write and share. Find other folks doing it — maybe on Mastodon, maybe on another network, protocol or application — find out who they're following and look at their sites. See what they've linked to and are reading.

If you know how to build for the web, share that knowledge. Help friends share on the web, help build tools that make that easier. Buying a domain can be scary, setting up a web site can be intimidating and configuring webventions can be daunting. If you're technical and passionate, help explain those tools, contribute to them and make them more approachable.

I use RSS routinely (you may well be using it to breeze through this post) and it's built in to plenty of sites — it can connect the web in myriad ways and doesn't need to be opaque or remain a hidden gem of the open web.

I have had *so much fun* building this site. A lot of that is writing posts like this with little to no editing and throwing them out there. Some of it has been getting needlessly lost in code trying to add some arcane feature or improve load time. Some of it has been threading APIs into [a now page](https://coryd.dev/now) that focuses on and syndicates out all the media I consume.[^1]

I'll add more features for my own amusement as inspiration strikes. I'll read more posts, I'll share more posts.[^2]

What we have is an opportunity to contribute to a healthier web, one that's slower, weirder, less commercial and more holistic. We can aim to empower folks to share on their own stories on their own terms. It can be silly, irreverent or deeply serious — it's up to the author. They can elect to share everything — or nothing at all.

Be kind and have fun.

[^1]: I've only had to fix the logic I use to scrape my book data from The Storygraph once so far!
[^2]: The links I share are tagged as `share` and fetched from Readwise Reader's API *only* once they've been archived, in an effort to keep me honest about reading what I share.