---
date: '2024-04-05T13:30-08:00'
title: 'AI cannot and should not replace search'
description: "Name a search engine and it will have integrated AI — but can you name one that's any better for it? I'm at a loss and I can't help but wince every time another announces some sort of LLM integration."
tags: ['AI', 'tech']
---
Name a search engine and it will have integrated AI — but can you name one that's any better for it? I'm at a loss and I can't help but wince every time another announces some sort of LLM integration.<!-- excerpt -->

<strong class="highlight-text">Search engines, at their core, should seek to surface information quickly and transparently.</strong> Google started there before ever more ads encroached on and cluttered results. I want clarity, relevance and brevity. DuckDuckGo's results were just fine and the last thing I need are questionable answers from an AI bolted to the top of the page.

If I want to gamble on inaccurate information and hope against hope that the information yielded isn't a hallucination, I know where to look for a chat interface to your LLM.

I don't want AI in my browser when I've got a perfectly capable address bar.

I want search that *directs me to* the site I'm interested in instead of one [that extracts value from said pages with nothing offered in return](https://coryd.dev/posts/2024/access-to-data-isnt-a-grant-to-exploit-it/).

If I'm looking for news, I want something I can trust, something with an ounce of journalistic rigor — and tech has already done its level best to kill institutions providing exactly that. <strong class="highlight-text">AI can't perform journalism — at best it can summarize it.</strong> All AI can offer journalism is more unncessary job cuts and value extraction.

Search has become bad enough as ads have become more pervasive and SEO abuse has grown. AI-powered search stands to offer worse, more expensive results that you can trust even less.

<strong class="highlight-text">The best answer to a query AI can provide me with is the URL of a search engine uncluttered by its nonsense.</strong>

{% render "partials/banners/github.liquid", url: 'https://github.com/ai-robots-txt/ai.robots.txt' %}